"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VcfMetrics(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "NUMBER_OF_INDELS",
        "NUMBER_OF_MNPS",
        "NUMBER_OF_MULTIALLELIC_SITES",
        "NUMBER_OF_MULTIALLELIC_SNP_SITES",
        "NUMBER_OF_OTHERS",
        "NUMBER_OF_RECORDS",
        "NUMBER_OF_SAMPLES",
        "NUMBER_OF_SNPS",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_4_0_0 import metrics as metrics_1_0_1

        return {
            "org.gel.models.report.avro.VcfMetrics": metrics_1_0_1.VcfMetrics,
        }

    __slots__ = [
        "NUMBER_OF_INDELS",
        "NUMBER_OF_MNPS",
        "NUMBER_OF_MULTIALLELIC_SITES",
        "NUMBER_OF_MULTIALLELIC_SNP_SITES",
        "NUMBER_OF_OTHERS",
        "NUMBER_OF_RECORDS",
        "NUMBER_OF_SAMPLES",
        "NUMBER_OF_SNPS",
    ]

    def __init__(
        self,
        NUMBER_OF_INDELS,
        NUMBER_OF_MNPS,
        NUMBER_OF_MULTIALLELIC_SITES,
        NUMBER_OF_MULTIALLELIC_SNP_SITES,
        NUMBER_OF_OTHERS,
        NUMBER_OF_RECORDS,
        NUMBER_OF_SAMPLES,
        NUMBER_OF_SNPS,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_0_1.VcfMetrics model.

        :param NUMBER_OF_INDELS:
        :type NUMBER_OF_INDELS: double
        :param NUMBER_OF_MNPS:
        :type NUMBER_OF_MNPS: double
        :param NUMBER_OF_MULTIALLELIC_SITES:
        :type NUMBER_OF_MULTIALLELIC_SITES: double
        :param NUMBER_OF_MULTIALLELIC_SNP_SITES:
        :type NUMBER_OF_MULTIALLELIC_SNP_SITES: double
        :param NUMBER_OF_OTHERS:
        :type NUMBER_OF_OTHERS: double
        :param NUMBER_OF_RECORDS:
        :type NUMBER_OF_RECORDS: double
        :param NUMBER_OF_SAMPLES:
        :type NUMBER_OF_SAMPLES: double
        :param NUMBER_OF_SNPS:
        :type NUMBER_OF_SNPS: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.0.1"
